petsc-3.7.7 2017-09-25
Report Typos and Errors

# PetscSFComputeDegreeEnd

complete computation of degree for each root vertex, started with PetscSFComputeDegreeBegin()

### Synopsis

    #include "petscsf.h"
    PetscErrorCode PetscSFComputeDegreeEnd(PetscSF sf,const PetscInt **degree)

Collective

### Input Arguments

sf -star forest

### Output Arguments

degree -degree of each root vertex

### See Also

Level:developer
Location:src/vec/is/sf/interface/sf.c
Index of all PetscSF routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/vec/is/sf/examples/tutorials/ex1.c.html